/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.common.utilities.ManGUEIcones;

import com.webobjects.eointerface.EODisplayGroup;


/**
 * Interface de la liste des emplois
 *  
 * @author  cpinsard
 * @author Chama LAATIK
 */
public class AgentsView extends JFrame {

	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog 
	 * @param parent : parent de la fenetre
	 * @param modal : modal? oui/non
	 * @param eod : displayGroup
	 * @param utilisationNumeroEmploiFormatte : Utilisation du numéro d'emploi formatté? oui/non
	 */
    public AgentsView(java.awt.Frame parent, boolean modal, EODisplayGroup eod) {
    	this.eod = eod;
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnFind = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        tfFiltreNom = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        tfFiltrePrenom = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        popupStructure = new javax.swing.JComboBox();
        popupAgent = new javax.swing.JComboBox();
        popupType = new javax.swing.JComboBox();
        popupSituation = new javax.swing.JComboBox();
        lblInfos = new javax.swing.JLabel();
        checkNomFamille = new javax.swing.JCheckBox();
        btnFicheIdentite = new javax.swing.JButton();
        btnInfosPro = new javax.swing.JButton();
        btnInfosCir = new javax.swing.JButton();
        btnInfosPerso = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        popupPosition = new javax.swing.JComboBox();
        jLabel8 = new javax.swing.JLabel();
        tfMatricule = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        tfInsee = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("GESTION DES EMPLOIS");

        viewTable.setLayout(new java.awt.BorderLayout());

        btnFind.setToolTipText("Rechercher");
        btnFind.setFocusPainted(false);
        btnFind.setFocusable(false);

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel1.setText("Nom");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Prénom");

        jLabel3.setText("Structures");

        jLabel4.setText("Agents");

        jLabel5.setText("Type ");

        jLabel6.setText("Situation");

        popupStructure.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupStructure.setFocusable(false);

        popupAgent.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupAgent.setFocusable(false);

        popupType.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupType.setFocusable(false);

        popupSituation.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupSituation.setFocusable(false);

        lblInfos.setFont(new java.awt.Font("Tahoma", 0, 12));
        lblInfos.setForeground(new java.awt.Color(0, 0, 204));
        lblInfos.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblInfos.setVerticalTextPosition(javax.swing.SwingConstants.TOP);

        checkNomFamille.setText("Nom de famille");
        checkNomFamille.setFocusPainted(false);
        checkNomFamille.setFocusable(false);
        checkNomFamille.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        checkNomFamille.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);

        btnFicheIdentite.setToolTipText("Fiche d'identité");
        btnFicheIdentite.setContentAreaFilled(false);
        btnFicheIdentite.setFocusPainted(false);

        btnInfosPro.setToolTipText("Infos Complémentaires");
        btnInfosPro.setContentAreaFilled(false);
        btnInfosPro.setFocusPainted(false);

        btnInfosCir.setToolTipText("CIR");
        btnInfosCir.setBorderPainted(false);
        btnInfosCir.setContentAreaFilled(false);
        btnInfosCir.setFocusPainted(false);
        btnInfosCir.setFocusable(false);

        btnInfosPerso.setToolTipText("Infos personnelles");
        btnInfosPerso.setContentAreaFilled(false);
        btnInfosPerso.setFocusPainted(false);

        jLabel7.setText("Position ");

        popupPosition.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupPosition.setFocusable(false);

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel8.setText("Matricule, Numen");

        tfMatricule.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("INSEE");

        tfInsee.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(btnFicheIdentite)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnInfosPerso)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnInfosPro)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnInfosCir)
                        .add(18, 18, 18)
                        .add(lblInfos, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 247, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 411, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupStructure, 0, 323, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupAgent, 0, 323, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupType, 0, 323, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupSituation, 0, 323, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 105, Short.MAX_VALUE)
                            .add(tfMatricule, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 105, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jLabel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 60, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE)
                            .add(tfInsee, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFind, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupPosition, 0, 207, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkNomFamille, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 110, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(popupStructure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(popupAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(popupType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(popupSituation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(popupPosition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkNomFamille))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel1)
                            .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfInsee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfMatricule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jLabel2)
                    .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnFind, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 531, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(lblInfos, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 63, Short.MAX_VALUE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(btnFicheIdentite, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(btnInfosPerso, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(btnInfosPro, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(btnInfosCir, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 32, Short.MAX_VALUE)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-447)/2, (screenSize.height-851)/2, 447, 851);
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                AgentsView dialog = new AgentsView(new javax.swing.JFrame(), true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnFicheIdentite;
    private javax.swing.JButton btnFind;
    private javax.swing.JButton btnInfosCir;
    private javax.swing.JButton btnInfosPerso;
    private javax.swing.JButton btnInfosPro;
    private javax.swing.JCheckBox checkNomFamille;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel lblInfos;
    private javax.swing.JComboBox popupAgent;
    private javax.swing.JComboBox popupPosition;
    private javax.swing.JComboBox popupSituation;
    private javax.swing.JComboBox popupStructure;
    private javax.swing.JComboBox popupType;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JTextField tfFiltrePrenom;
    private javax.swing.JTextField tfInsee;
    private javax.swing.JTextField tfMatricule;
    private javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    private void initGui() {
    	
    	setTitle("MANGUE - Liste des agents");
    	
     	btnFind.setIcon(CocktailIcones.ICON_LOUPE_26);
     	btnFicheIdentite.setIcon(ManGUEIcones.ICON_DOSSIER_FICHE);
     	btnInfosPerso.setIcon(ManGUEIcones.ICON_DOSSIER_VERT);
     	btnInfosPro.setIcon(ManGUEIcones.ICON_DOSSIER_JAUNE);
     	btnInfosCir.setIcon(ManGUEIcones.ICON_DOSSIER_VIOLET);

     	popupStructure.removeAllItems();
     	popupStructure.addItem("*");

     	popupAgent.removeAllItems();
     	popupAgent.addItem("*");
     	popupAgent.addItem("Actuel");
     	popupAgent.addItem("Ancien");
     	popupAgent.addItem("Futur");

     	popupType.removeAllItems();
     	popupType.addItem("*");
     	popupType.addItem("Enseignant");
     	popupType.addItem("Non Enseignant");
     	
     	popupSituation.removeAllItems();
     	popupSituation.addItem("*");
     	popupSituation.addItem("Titulaire");
     	popupSituation.addItem("Contractuel");
     	popupSituation.addItem("Hebergé");
     	popupSituation.addItem("Vacataire");
     	
    	// Definition des colonnes et donnees a afficher
    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
    	
    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, "nomUsuel", "NOM", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, "prenom", "PRENOM", 30);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

    	myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnFind() {
		return btnFind;
	}

	public void setBtnFind(javax.swing.JButton btnFind) {
		this.btnFind = btnFind;
	}

	public javax.swing.JComboBox getPopupAgent() {
		return popupAgent;
	}

	public void setPopupAgent(javax.swing.JComboBox popupAgent) {
		this.popupAgent = popupAgent;
	}

	public javax.swing.JComboBox getPopupSituation() {
		return popupSituation;
	}

	public void setPopupSituation(javax.swing.JComboBox popupSituation) {
		this.popupSituation = popupSituation;
	}

	public javax.swing.JComboBox getPopupStructure() {
		return popupStructure;
	}

	public void setPopupStructure(javax.swing.JComboBox popupStructure) {
		this.popupStructure = popupStructure;
	}

	public javax.swing.JButton getBtnFicheIdentite() {
		return btnFicheIdentite;
	}

	public void setBtnFicheIdentite(javax.swing.JButton btnFicheIdentite) {
		this.btnFicheIdentite = btnFicheIdentite;
	}

	public javax.swing.JButton getBtnInfosCir() {
		return btnInfosCir;
	}

	public void setBtnInfosCir(javax.swing.JButton btnInfosCir) {
		this.btnInfosCir = btnInfosCir;
	}

	public javax.swing.JButton getBtnInfosPerso() {
		return btnInfosPerso;
	}

	public void setBtnInfosPerso(javax.swing.JButton btnInfosPerso) {
		this.btnInfosPerso = btnInfosPerso;
	}

	public javax.swing.JButton getBtnInfosPro() {
		return btnInfosPro;
	}

	public void setBtnInfosPro(javax.swing.JButton btnInfosPro) {
		this.btnInfosPro = btnInfosPro;
	}

	public javax.swing.JCheckBox getCheckNomFamille() {
		return checkNomFamille;
	}

	public void setCheckNomFamille(javax.swing.JCheckBox checkNomFamille) {
		this.checkNomFamille = checkNomFamille;
	}

	public javax.swing.JComboBox getPopupType() {
		return popupType;
	}

	public void setPopupType(javax.swing.JComboBox popupType) {
		this.popupType = popupType;
	}

	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public javax.swing.JTextField getTfFiltrePrenom() {
		return tfFiltrePrenom;
	}

	public void setTfFiltrePrenom(javax.swing.JTextField tfFiltrePrenom) {
		this.tfFiltrePrenom = tfFiltrePrenom;
	}

	public javax.swing.JLabel getLblInfos() {
		return lblInfos;
	}

	public void setLblInfos(javax.swing.JLabel lblInfos) {
		this.lblInfos = lblInfos;
	}

	public javax.swing.JComboBox getPopupPosition() {
		return popupPosition;
	}

	public void setPopupPosition(javax.swing.JComboBox popupPosition) {
		this.popupPosition = popupPosition;
	}

	public javax.swing.JTextField getTfMatricule() {
		return tfMatricule;
	}

	public void setTfMatricule(javax.swing.JTextField tfMatricule) {
		this.tfMatricule = tfMatricule;
	}

	public javax.swing.JTextField getTfInsee() {
		return tfInsee;
	}

	public void setTfInsee(javax.swing.JTextField tfInsee) {
		this.tfInsee = tfInsee;
	}


	

    
}